Bug 50183 - CONFIGURATION: Default number of sheets for new document should be "1"
Summary: CONFIGURATION: Default number of sheets for new document should be "1"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, topicUI
Depends on:
Blocks:
 
Reported: 2012-05-21 11:06 UTC by Rainer Bielefeld Retired
Modified: 2015-12-16 05:25 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2012-05-21 11:06:42 UTC
Discussion "A sheet by default" on <Libreoffice-ux-advise> showed common sense to change default from "3" to 1 new sheet in new spreadsheet document. 

I believe it's enough to modify builds so that that  default will be used for a newly created User Profile. In existing profiles default can be modified by user in 'Tools -> Options -> Calc -> Defaults'
Comment 1 Jan Holesovsky 2012-05-23 15:10:15 UTC
To localize what setting it is, just copy the user configuration (like .config/libreoffice) without the change in 'Tools -> Options -> Calc -> Defaults' somewhere, change the default, and diff between the saved configuration and the current .config/libreoffice.

It is a xml configuration, so in order to see the difference more conveniently, you can use eg. xmllint --format.
Comment 2 Not Assigned 2012-05-25 10:15:29 UTC
Stefan Knorr (astron) committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a7d3d47d9b4d57b0c7380eadb294add4245ba3a

fdo#50183 Use one sheet as default in Calc
Comment 3 Stefan Knorr (astron) 2012-05-26 02:34:09 UTC
Closing as fixed, see above.
Comment 4 Not Assigned 2012-05-29 09:40:01 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e07bdfce6ef700a94868ccc03268aa005c295b8

Revert "fdo#50183 Use one sheet as default in Calc"
Comment 5 Not Assigned 2012-05-31 03:32:11 UTC
Stephan Bergmann committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=71056d59de59561ee1d74a3c2d9d66a223422c7e

Revert "Revert "fdo#50183 Use one sheet as default in Calc""
Comment 6 Robinson Tryon (qubit) 2015-12-16 05:25:22 UTC
Migrating Whiteboard tags to Keywords: (EasyHack  DifficultyBeginner  TopicUI  )
[NinjaEdit]